summaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorDiego Elio 'Flameeyes' Pettenò <flameeyes@gmail.com>2009-01-31 20:08:46 +0100
committerDiego Elio 'Flameeyes' Pettenò <flameeyes@gmail.com>2009-01-31 20:08:46 +0100
commitd54b026b565319d06cbd75a9b2075a71381bc0e2 (patch)
tree2c6ba407daf6192bbb1c1b004ae061c6e8596391 /bootstrap.sh
parent1fdc8c85041cfadd5211a13cc69b787c2cf3d9f1 (diff)
Move the safety check about pkg-config in bootstrap.sh.
Don't check twice for pkg-config during configure, since the undefined macro would be possibly caused on a different system.
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 6bc1306..ce5d7e4 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -42,6 +42,15 @@ run_versioned() {
set -ex
+# We check for this here, because if pkg-config is not found in the
+# system, it's likely that the pkg.m4 macro file is also not present,
+# which will make PKG_PROG_PKG_CONFIG be undefined and the generated
+# configure file faulty.
+if ! pkg-config --version &>/dev/null; then
+ echo "pkg-config is required to bootstrap this program" &>/dev/null
+ exit 1
+fi
+
if [ "x$1" = "xam" ] ; then
run_versioned automake "$VERSION" -a -c --foreign
./config.status